Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Class IdeExpertEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.togethersoft.openapi.ide.window.IdeExpertEvent

public class IdeExpertEvent
extends EventObject

Class `IdeExpertEvent` defines an event that gets fired whenever an action is performed in the properties' expert.

Author:
  TogetherSoft
See Also: IdeWindowManager.customize(java.lang.Object,java.lang.String,java.lang.String), IdeExpertPage

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`IdeExpertEvent(IdeExpertPage currentPage)` Constructs an instance of `IdeExpertEvent` with the specified current page.
`IdeExpertEvent(IdeExpertPage oldPage, IdeExpertPage newPage)` Constructs an instance of `IdeExperEvent` with the specified existing page and new page.

Method Summary
`IdeExpertPage` | `getNewPage()` Gets `IdeExperPage` for the new page.
`IdeExpertPage` | `getOldPage()` Gets `IdeExperPage` for the old page.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### IdeExpertEvent

    public IdeExpertEvent(IdeExpertPage currentPage)

  Constructs an instance of `IdeExpertEvent` with the specified current page.
  Parameters:
    currentPage - `IdeExperPage`

### IdeExpertEvent

    public IdeExpertEvent(IdeExpertPage oldPage, IdeExpertPage newPage)

  Constructs an instance of `IdeExperEvent` with the specified existing page and new page.
  Parameters:
    oldPage - `IdeExperPage` object for the existing page
    newPage - `IdeExperPage` object for the new page

Method Detail

### getNewPage

    public IdeExpertPage getNewPage()

  Gets `IdeExperPage` for the new page.
  Returns: `IdeExperPage` for the new page

### getOldPage

    public IdeExpertPage getOldPage()

  Gets `IdeExperPage` for the old page.
  Returns: `IdeExperPage` for the old page

Association Links

to Class com.togethersoft.openapi.ide.window.IdeExpertPage

to Class com.togethersoft.openapi.ide.window.IdeExpertPage

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD